

#include "Heartbeat.h"

void Heartbeat (uint32_t State)
{
	static uint32_t Count = 0;
	static uint32_t OldState = 0;

	// Prepare for next Blinkfunction
	if (OldState != State){
		LED_OFF();
		Count = 0;
	}

	switch (State){
		case HEALTHY:
			if(++Count > 6*BLINK) Count = 0;
			if (Count % BLINK == 0 && Count >= 3*BLINK) {
				LED_TOGGLE();
			}
			break;

		case ILL:
			Count++;
			if (Count % (BLINK/2) == 0) {
				LED_TOGGLE();
			}
			break;

		case DEAD:
			LED_OFF();
			break;

		default: break;
	}
	OldState = State;
}
