﻿/*
 * Regler.c
 *
 * Created: 28.11.2014 08:36:42
 *  Author: Lührig
 */ 


#include "main.h"
#include "Regler.h"
#include "PWM.h"


static float esum = 0;

float Regler_n ( float Sollwert, float Istwert )
{
	float e = 0;
	static float y = 0;

	e = Sollwert - Istwert;

	if ( e > 1000 ) e = 1000;
	if ( (y < PWM_PERIOD) && (y > 0) )
	{
		esum += e;
	}
	y = (float)e * (float) 0.25 + ((float)0.015*(float)esum);

	if (y > 1190 ){
		y = 1190;
	}

	if (y < PWM_MIN){
		y = PWM_MIN;
	}
	return y;
}

void Clear_Integral ( void )
{
	esum = 0;
}

