

#include "main.h"
#include "Systick.h"
#include "Funktionen.h"
#include "PWM.h"
#include "ADC.h"
#include "Debug_RS232.h"

volatile uint16_t DataBuffer[NR_OF_VALUES];
volatile struct Flags_s Flags;
volatile uint16_t Motorstate = 0;
volatile uint8_t CommutationVektor = 1;
volatile uint32_t Fluxintegral = 0;
volatile uint16_t FluxThreshold = 0;
volatile uint16_t rpm = 0;
volatile uint16_t rpm_soll = 0;

volatile uint32_t Dummy = 0;

int main(void)
{
	Flags.ForcecommutationTimer = FORCECOMMUTATIONTIME;

	// Set PLL and external Crystal
	SystemInit();

	// Set Systick
	Init_SysTimer( SYSTICK_IN_HZ );

	// IOs
	Init_IOs();

	//PWM
	Init_PWM();

	//ADC
	Init_ADC();

	//USART
	RS232_Debug_Init( BAUDRATE );

	// Main-Loop
    while(1){

    	if ( Flags.UsartDataOut ){
    		Flags.UsartDataOut = OFF;
    		DatenAusgabe( FluxThreshold );
    // 		DatenAusgabe( Fluxintegral );
    		DatenAusgabe( rpm );
    		DatenAusgabe( Dummy );
    //		DatenAusgabe( CommutationVektor );
    		uart_putchar('\n', NULL);
    //		uart_putchar('\n', NULL);


		}
    }
}
