

#include <inttypes.h>
#include <stdint.h>
#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <math.h>
#include <stm32f0xx.h>


#define PWM_PERIOD		(48000000/40000 - 1)
#define PWM_MIN			300
#define ENABLE_PWM()	TIM3->CR1 |= (1<<0)
#define DISABLE_PWM()	TIM3->CR1 &= ~(1<<0)

#define PWM_ZERO_OFFSET_CH1			15
#define PWM_ZERO_OFFSET_CH2			8
#define PWM_ZERO_OFFSET_CH3			12

#define DEADTIME_2US	96
#define DEADTIME_2_5US	120
#define DEADTIME_3US	136
#define DEADTIME_3_5US	148
#define DEADTIME_4US	160



void Init_PWM ( void );
